be.ehealth.technicalconnector.enumeration

## Enum MimeType

- java.lang.Object
- - java.lang.Enum<MimeType>
  - - be.ehealth.technicalconnector.enumeration.MimeType

- All Implemented Interfaces:
    Serializable, Comparable<MimeType>

      public enum MimeType
      extends Enum<MimeType>

  Enumeration for MimeTypes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OCTECT_STREAM`
    `octectstream` Deprecated.
    `PLAIN_TEXT`
    `plaintext` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getValue()`
    `static MimeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MimeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### plaintext

          @Deprecated
          public static final MimeType plaintext

      Deprecated.
      plain/text

    - #### PLAIN_TEXT

          public static final MimeType PLAIN_TEXT

    - #### octectstream

          @Deprecated
          public static final MimeType octectstream

      Deprecated.
      application/octet-stream

    - #### OCTECT_STREAM

          public static final MimeType OCTECT_STREAM

  - ### Method Detail

    - #### values

          public static MimeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MimeType c : MimeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MimeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

      Returns:
        the value

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.